.table    {display:table}
.tr       {display:table-row}
.thead    {display:table-header-group}
.tbody    {display:table-row-group}
.tfoot    {display:table-footer-group}
.col      {display:table-column}
.colgroup {display:table-column-group}
.td, .th  {display:table-cell}
.caption  {display:table-caption}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
	color: #CCC;
	opacity: 1; /* Firefox */
}
:-ms-input-placeholder { /* Internet Explorer 10-11 */
	color: #CCC;
}
::-ms-input-placeholder { /* Microsoft Edge */
	color: #CCC;
}

.wrap-outer{
	display:inline-block;
}
.wrap-inner{
	position:relative;
	height:18px;
	line-height:1px;
	border:solid 1px #7A7A7A;
	border-bottom:none;
	margin-bottom:-2px;
	text-align:center;
}
.wrap-inner span.right{
	position:absolute;
	right:0px
}
.wrap-inner span.left{
	position:absolute;
	left:0px
}
.wrap-inner input[type='radio']{
	margin:2px 2px 0 2px;
}
.wrap-inner input[type='checkbox']{
	margin:2px 2px 0 2px;
}
.wrap-inner img{
	margin:1px 2px 0px 2px;
}
.wrap-outer select, 
.wrap-outer input[type='text']{
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	width:100%;
}
.wrap-outer.not4hpnow *{
	background-color:#EEE;
}
.wrap-outer.controls{
	width:184px;
}
.wrap-outer.buttons{
	width:118px;
}
.wrap-outer.leds{
	width:62px;
}
.wrap-outer.jacks{
	width:90px;
}

.fileoption{
	min-width:190px;
}
.large-button{
	width:160px;
}
.gray{
	color:#D3CCD3;
}
.black{
	color:#333;
}

#panelmaker{
	position:relative;
}
#dialog{
	position:absolute;
	display:none;
	z-index:999;
	border:2px solid black;
	background:white;
	padding:2px;
	width:300px;
	height:200px;
	top:510px;
}
#dialog-inner{
	border:1px solid black;
	background:white;
	padding:10px;
	width:278px;
	height:178px;
}
#dialog-buttons {
	position:absolute;
	width:272px;
	bottom:15px;
	text-align:center;
}
#dialog-buttons input[type=button]{
	margin:0 20px;
	width:80px;
}

#imported{
	width:272px;
	height:110px;
	font-size:12px;
	line-height:12px;
}

.scroller{
	position:relative;
	float:right;
	border:2px solid #999;
	background:#f5fff5;
	padding:4px 2px;
	margin-left:20px;
	text-align:center;
	line-height:18px;
	width:90px;
}
